Page MenuHomePhabricator

Do not register Special:NewProperty when federated properties is enabled
Closed, ResolvedPublic

Description

Special pages are registered in the $wgSpecialPages global with the ['NewProperty'] key currently.
We may want to not register this key in the first place, or unset it later (depending on what the implementor deems to be nicest)
The registration currently happens in repo/Wikibase.php

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 11:08 AM

Change 607721 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Do not register Special:NewProperty when federated properties is enabled

https://gerrit.wikimedia.org/r/607721

Note that the registration of special pages is currently being reworked in T256251: Migrate Client special pages to extension JSON. That should be more or less alright for the current version of the attached change, since that only affects the inside of the special page factory. (When I first saw this task, I was worried that the whole $wgSpecialPages['NewProperty'] assignment would be wrapped in an if, which wouldn’t work so well in the extension JSON file.)

Addshore triaged this task as Medium priority.Jul 1 2020, 8:55 AM

Change 607721 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Do not register Special:NewProperty when federated properties is enabled

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /607721

Addshore closed this task as Resolved.Jul 15 2020, 8:17 AM